/* You can add global styles to this file, and also import other style files */
@import "./bootstrap-grid";
@import './variables';
@import './utilities';

/* CSS Reset */
html {
  font-family: "Roboto", sans-serif;
  font-size: 62.5%;
}

body {
  margin: 0;
  font-size: 14px;
  font-size: 1.4rem;
}
/* End of CSS Reset */

.header {
  height: $header-height;
  .mat-ink-bar {
    display: none;
  }
}

.wrapper-fluid {
  padding: 0 16px;
}

.simple-notification-wrapper {
  z-index: 10000 !important;
}

.simple-notification {
  widows: 320px !important;
  .sn-content {
    word-wrap: break-word;
  }
}

.side-bar-content-layout {
  top: 1px;
  .content-title {
    width: calc(100% - #{$side-menu-open});
    @at-root #{selector-replace(&, '.side-bar-content-layout', '.side-bar-content-layout.content-collapsed')} {
      width: calc(100% - #{$side-menu-collapsed});
    }
  }
}

.content-wrapper {
  padding-bottom: 20px;
  min-height: calc(100vh - #{$header-height});
  padding-top: $content-title-height;
  .content-title {
    position: fixed;
    z-index: 999;
    top: calc(#{$header-height} + #{1px});
    padding: 8px 30px;
    height: $content-title-height;
    background: mat-color($mat-event, 500);
    font-size: 1.3rem;
    color: $app-white;
    h2 {
      display: inline-block;
      font-size: 1.4rem;
      font-weight: 400;
      color: $app-white;
      width: 100%;
    }
    .content-title-subtext {
      font-style: italic;
      font-size: 1.2rem;
      padding-left: 30px;
      color: $app-white;
      float: right;
    }
    .mandatory-text {
      color: $mandatory-text;
      padding-right: 5px;
    }
  }
  .content-details {
    margin: 20px;
  }
  .steps-actions {
    margin-right: 485px;
    button {
      margin-right: 10px;
      top: 0;
    }
  }
}

.cdk-overlay-pane {
  > .mat-primary {
    background: mat-color($mat-event, 300);
  }
}

/* Breadcrumb */
.breadcrumb {
  list-style: none;
  margin: 0;
  padding: 0;
  text-decoration: none;
  color: $app-white;
  li {
    float: left;
    padding-right: 10px;
    a:hover {
      cursor: pointer;
      color: $app-white;
      text-decoration: underline !important;
    }
    &::before {
      content: '>';
      position: relative;
      left: -5px;  
    }
    &:first-child {
      &::before { 
        display: none;
      }
    }
    span {
      text-transform: capitalize;
    }
  }
}


/* Custom Table */
.custom-table {
  .table-title {
    font-weight: 500;
    color: mat-color($mat-event, 800)
  }
  table {
    width: 100%;
  }
  thead {
    background-color: mat-color($mat-event, 500);
    tr {
      height: 34px;
    }
    th {
      border-bottom: none;
      color: $app-white;
      font-size: 1.4rem;
    }
  }
  td.mat-cell {
    font-size: 1.2rem;
    border: none;
  }
  tbody {
    tr {
      height: 32px;
      border-bottom: 1px solid rgba(128, 128, 128, 0.2);
      &:nth-child(even) {
        background-color: mat-color($mat-event, 50);
      }
    }
  }
  a {
    color: #000;
  }
  .table-links {
    cursor: pointer;
    color: mat-color($mat-event, 800);
    font-weight: 500;
  }
  fa-icon {
    cursor: pointer;
    margin-left: 6px;
  }
}
/* End of Custom Table */
 
/* Side Nav Links */
.side-nav {
  min-height: calc(100vh - #{$header-height});
  .mat-tab-nav-bar {
    border: none;
    height: 100%;
    &.mat-primary .mat-ink-bar {
      background-color: transparent;
      border: none;
    }
  }
  .mat-tab-links {
    padding-top: 1rem;
    display: block;
    height: 100%;
    background: #4B4B4B;
    min-height: calc(100vh - 60px);
  }
  .mat-tab-link {
    width: 100%;
    padding: 0 10px 0 5px;
    color: $app-white;
    opacity: 1;
    justify-content: left;
    font-size: 1.4rem;
    font-weight: 400;
    &:not(.mat-tab-disabled):focus,
    &.mat-tab-label-active {
      color: #91BDB4;
      font-weight: 500;
    }
  }
}

.side-menu-icon {
  padding: 0 1.25rem;
  font-size: 1.8rem;
  width: 48px;
}

/* End of Side Nav links */


/* Custom Mat Form */
.mat-form-field-appearance-outline {
  .mat-form-field-infix {
    width: 300px;
    padding: 0.875em 0 0.875em 0;
  }
  .mat-form-field-outline {
    color: mat-color($mat-event, 400);
  }
  .mat-form-field-outline-thick.mat-form-field-outline-thick {
    .mat-form-field-outline-start {
      border-width: 1px;
    }
    .mat-form-field-outline-gap {
      border-width: 1px;
    }
    .mat-form-field-outline-end {
      border-width: 1px;
    }
  }
}

.capitalize-text-value {
  .mat-select-value-text,
  .mat-option-text {
    text-transform: capitalize;
  }
}

.mat-form-field.mat-focused .mat-form-field-label {
  color: #1EBCAE;
}

.mat-tab-label {
  height: 28px;
  padding: 0 10px;
  min-width: 80px;
  &:not(.mat-tab-disabled):focus,
  &.mat-tab-label-active {
    color: mat-color($mat-event, 700);
    font-weight: 500;
  }
}
.mat-tab-header {
  box-shadow: 0 8px 4px -8px  mat-color($mat-event, 200);
  border-bottom: 1px solid mat-color($mat-event, 200);
}

.mat-ink-bar {
  background: mat-color($mat-event, 200);
}

.mat-divider {
  background: mat-color($mat-event, 200);
  box-shadow: 0px 1px 2px 0px mat-color($mat-event, 200);
}

.mat-datepicker-content {
  background-color: $app-white !important;
}

.mat-form-field-appearance-outline .mat-form-field-infix {
  font-size: 1.2rem;
  width: 300px;
}

.mat-placeholder-required.mat-form-field-required-marker {
  color: red;
}

textarea.mat-input-element {
  margin: 5px 0 !important;
}
/* End of Custom Mat From */
